KI-QR-Codes
GET https://qrcodemonkey.net/api/ai-qr-codes/
curl --request GET \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional Text | Suchbegriff |
| search_by | Optional Text | What field are you searching by. Allowed values are: name |
| project_id | Optional Ganzzahl | Available when: %s |
| order_by | Optional Text | Sortierfeld. Erlaubte Werte: ai_qr_code_id, datetime, last_datetime, name |
| order_type | Optional Text | Sortierreihenfolge. Erlaubte Werte: ASC aufsteigend, DESC absteigend |
| page | Optional Ganzzahl | Seitennummer der abzurufenden Ergebnisse. Standard: 1 |
| results_per_page | Optional Ganzzahl | Ergebnisse pro Seite. Erlaubte Werte: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standard: 25 |
{
"data": [
{
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qrcodemonkey.net/uploads/ai_qr_codes/example.png",
"content": "https://qrcodemonkey.net/",
"prompt": "Naturlandschaft bei Sonnenuntergang, Wasserfall, Wildtiere und Sonnenstrahlen"
"embedded_data": "https://qrcodemonkey.net/",
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-06-14 10:17:31",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcodemonkey.net/api/ai-qr-codes?page=1",
"last": "https://qrcodemonkey.net/api/ai-qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://qrcodemonkey.net/api/ai-qr-codes?page=1"
}
}
GET https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}
curl --request GET \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qrcodemonkey.net/uploads/ai_qr_codes/example.png",
"content": "https://qrcodemonkey.net/",
"prompt": "Naturlandschaft bei Sonnenuntergang, Wasserfall, Wildtiere und Sonnenstrahlen"
"embedded_data": "https://qrcodemonkey.net/",
"last_datetime": null,
"datetime": "2026-06-14 10:17:31",
}
}
POST https://qrcodemonkey.net/api/ai-qr-codes
| Parameter | Details | Beschreibung |
|---|---|---|
| link_id | Optional Ganzzahl | - |
| project_id | Optional Ganzzahl | - |
| name | Pflicht Text | - |
| content | Pflicht Text | - |
| prompt | Pflicht Text | - |
| Parameter | Details | Beschreibung |
|---|---|---|
curl --request POST \
--url 'https://qrcodemonkey.net/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=Naturlandschaft bei Sonnenuntergang, Wasserfall, Wildtiere und Sonnenstrahlen' \
--form 'content=https://qrcodemonkey.net/' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=Naturlandschaft bei Sonnenuntergang, Wasserfall, Wildtiere und Sonnenstrahlen' \
--form 'content=https://qrcodemonkey.net/' \
{
"data": {
"id": 1
}
}
POST https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| link_id | Optional Ganzzahl | - |
| project_id | Optional Text | - |
| name | Optional Text | - |
| content | Optional Text | - |
| prompt | Optional Text | - |
curl --request POST \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}
curl --request DELETE \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \